Subject: bug#32463: 27.0.50; (logior -1) => 4611686018427387903

From: Richard Stallman <[email-masked]>
Date: Sun, 19 Aug 2018 23:02:00 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

What exactly is the problem with lsh and bignums?  Is it for negative
numbers because there is no specific width?

I think that limiting lsh to fixnums is better than altering its behavior
for fixnums.  But there are other solutions.

One possible solution is to give lsh an optional third argument to
specify the nominal width of the first argument.  The default could be
the width of a fixnum on your platform.

How does Scheme handle the issue?

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)